---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: mediamover-http-redirect
  namespace: arrstack
spec:
  hostnames:
    - mediamover.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: mediamover
      sectionName: http
  rules:
    - filters:
        - type: RequestRedirect
          requestRedirect:
            scheme: https
            statusCode: 301
      matches:
        - path:
            type: PathPrefix
            value: /
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: mediamover
  namespace: arrstack
spec:
  hostnames:
    - mediamover.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: mediamover
      sectionName: https
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: mediamover
          port: 8080
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /
